name: Build and Push Docker Image

on:
  push:
    branches:
      - main
      - master

jobs:
  build:
    # Wir ändern 'ubuntu-latest' auf ein spezifisches Image, 
    # das oft schon im Cache liegt oder leichter erreichbar ist.
    runs-on: ubuntu-22.04 
    steps:
      - name: Code auschecken
        uses: actions/checkout@v3

      - name: Login in die Gitea Registry
        uses: docker/login-action@v2
        with:
          registry: gitea.simonaltschaeffl.de
          username: ${{ github.actor }}
          password: ${{ secrets.GITHUB_TOKEN }}

      - name: Docker Image bauen und pushen
        uses: docker/build-push-action@v4
        with:
          context: .
          push: true
          tags: gitea.simonaltschaeffl.de/simon_admin/homepage:latest